OGRE: Ogre::LodOutputProviderMesh Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::LodOutputProviderMesh Class Reference

`#include <OgreLodOutputProviderMesh.h>`

Inheritance diagram for Ogre::LodOutputProviderMesh:
[legend]

## Public Member Functions
| LodOutputProviderMesh (v1::MeshPtr mesh)
virtual void | bakeLodLevel (LodData *data, int lodIndex)
virtual void | bakeManualLodLevel (LodData *data, String &manualMeshName, int lodIndex)
virtual void | finalize (LodData *data)
virtual void | inject ()
virtual void | prepare (LodData *data)
virtual void | triangleChanged (LodData *data, LodData::Triangle *tri)
virtual void | triangleRemoved (LodData *data, LodData::Triangle *tri)

## Constructor & Destructor Documentation

## ◆ LodOutputProviderMesh()

Ogre::LodOutputProviderMesh::LodOutputProviderMesh | ( | v1::MeshPtr | mesh | ) |
| inline

## Member Function Documentation

## ◆ bakeLodLevel()

virtual void Ogre::LodOutputProviderMesh::bakeLodLevel | ( | LodData * | data,
|  | int | lodIndex
| ) |  |
| virtual

Implements Ogre::LodOutputProvider.

## ◆ bakeManualLodLevel()

virtual void Ogre::LodOutputProviderMesh::bakeManualLodLevel | ( | LodData * | data,
|  | String & | manualMeshName,
|  | int | lodIndex
| ) |  |
| virtual

Implements Ogre::LodOutputProvider.

## ◆ finalize()

virtual void Ogre::LodOutputProviderMesh::finalize | ( | LodData * | data | ) |
| inlinevirtual

Implements Ogre::LodOutputProvider.

## ◆ inject()

virtual void Ogre::LodOutputProvider::inject | ( |  | ) |
| inlinevirtualinherited

Reimplemented in Ogre::LodOutputProviderCompressedMesh, and Ogre::LodOutputProviderBuffer.

## ◆ prepare()

virtual void Ogre::LodOutputProviderMesh::prepare | ( | LodData * | data | ) |
| virtual

Implements Ogre::LodOutputProvider.

## ◆ triangleChanged()

virtual void Ogre::LodOutputProvider::triangleChanged | ( | LodData * | data,
|  | LodData::Triangle * | tri
| ) |  |
| inlinevirtualinherited

Reimplemented in Ogre::LodOutputProviderCompressedMesh.

## ◆ triangleRemoved()

virtual void Ogre::LodOutputProvider::triangleRemoved | ( | LodData * | data,
|  | LodData::Triangle * | tri
| ) |  |
| inlinevirtualinherited

Reimplemented in Ogre::LodOutputProviderCompressedMesh.

The documentation for this class was generated from the following file:

- OgreLodOutputProviderMesh.h